<div class="animated fadeIn" *ngIf="!flagShowForm">
      <div class="row">
          <div class="col d-flex justify-content-start mb-2">
            <button (click)="newRecord()" class="btn btn-shadow btn-light px-4 py-2">
              <i class="fa fa-plus text-success mr-2"></i>Nuevo
            </button>
          </div>
      </div>
      <kendo-grid
        [data]="dataGrid"
        [selectable]="true"
        [navigable]="true"
        [reorderable]="true"
        [resizable]="true"
        [sortable]="true"
        (edit)="editRow($event)"
        (remove)="deleteRow($event)"
        style="height: 51vh">
        <kendo-grid-column field="cCdesc" title="Clase"></kendo-grid-column>
        <kendo-grid-command-column title="Actions" width="220">
            <ng-template kendoGridCellTemplate let-isNew="isNew" let-dataItem>
                <button type="button" class="btn btn-shadow btn-light"
                    (click)="editRow(dataItem);">
                    <i class="fas fa-edit mr-2 text-primary"></i>Editar
                </button>
                <button type="button" class="btn btn-shadow btn-light ml-2" (click)="deleteRow(dataItem)">
                    <i class="fas fa-trash mr-2 text-danger"></i>Eliminar
                </button>
            </ng-template>
        </kendo-grid-command-column>
    </kendo-grid>
</div>
<div class="animated fadeIn" *ngIf="flagShowForm">
    <form [formGroup]="myFormGroup">
        <div class="row">
            <div class="form-group col-4">
              <label for="Punto">Punto</label>
              <kendo-combobox
                  [data]="dsPuntos"
                  [(ngModel)]="myFormGroup.value.Punto"
                  [textField]="'pdesc'"
                  [valueField]="'Punto'"
                  formControlName="Punto"
                  [valuePrimitive]="true"
                  name="Punto"
                  class="w-100">
              </kendo-combobox>
            </div>
            <div class="form-group col-4">
              <label for="Turno">Turno</label>
              <kendo-combobox
                  [data]="dsTurnos"
                  [(ngModel)]="myFormGroup.value.Turno"
                  [textField]="'tdesc'"
                  [valueField]="'Turno'"
                  formControlName="Turno"
                  [valuePrimitive]="true"
                  name="Turno"
                  class="w-100">
              </kendo-combobox>
            </div>
          <div class="form-group col-4">
            <label for="Clase">Clase</label>
            <kendo-combobox
                [data]="dsClases"
                [(ngModel)]="myFormGroup.value.Clase"
                [textField]="'cdesc'"
                [valueField]="'clase'"
                [filterable]="true"
                (filterChange)="claseFilter($event)"
                [valuePrimitive]="true"
                formControlName="Clase"
                name="Clase"
                class="w-100">
            </kendo-combobox>
          </div>
          <div class="form-group col-4">
            <label for="talimentos">Alimentos</label>
            <kendo-combobox
                [data]="dsDebito"
                [(ngModel)]="myFormGroup.value.talimentos"
                [textField]="'cdesc'"
                [valueField]="'Codigo'"
                [filterable]="true"
                (filterChange)="debitoFilter($event)"
                [valuePrimitive]="true"
                formControlName="talimentos"
                name="talimentos"
                class="w-100">
            </kendo-combobox>
          </div>
          <div class="form-group col-4">
            <label for="tbebidas">Bebidas</label>
            <kendo-combobox
                [data]="dsDebito"
                [(ngModel)]="myFormGroup.value.tbebidas"
                [textField]="'cdesc'"
                [valueField]="'Codigo'"
                [filterable]="true"
                (filterChange)="debitoFilter($event)"
                [valuePrimitive]="true"
                formControlName="tbebidas"
                name="tbebidas"
                class="w-100">
            </kendo-combobox>
          </div>
          <div class="form-group col-4">
            <label for="Punto">Varios</label>
            <kendo-combobox
                [data]="dsDebito"
                [(ngModel)]="myFormGroup.value.tvarios"
                [textField]="'cdesc'"
                [valueField]="'Codigo'"
                [filterable]="true"
                (filterChange)="debitoFilter($event)"
                [valuePrimitive]="true"
                formControlName="tvarios"
                name="tvarios"
                class="w-100">
            </kendo-combobox>
          </div>
          <div class="form-group col-4">
            <label for="thuespedes">Huespedes</label>
            <kendo-combobox
                [data]="dsCredito"
                [(ngModel)]="myFormGroup.value.thuespedes"
                [textField]="'cdesc'"
                [valueField]="'Codigo'"
                [filterable]="true"
                (filterChange)="creditoFilter($event)"
                [valuePrimitive]="true"
                formControlName="thuespedes"
                name="thuespedes"
                class="w-100">
            </kendo-combobox>
          </div>
          <div class="form-group col-4">
            <label for="tcaja">Enviado Caja</label>
            <kendo-combobox
                [data]="dsCredito"
                [(ngModel)]="myFormGroup.value.tcaja"
                [textField]="'cdesc'"
                [valueField]="'Codigo'"
                [filterable]="true"
                (filterChange)="creditoFilter($event)"
                [valuePrimitive]="true"
                formControlName="tcaja"
                name="tcaja"
                class="w-100">
            </kendo-combobox>
          </div>
        </div>
        <div class="row d-flex justify-content-center my-3">
            <button type="button" class="btn btn-success col-3"
                    [disabled]="myFormGroup.status === 'INVALID'"
                    (click)="guardarForm();">
                    Guardar
            </button>
            <button type="button" class="btn btn-light col-3 ml-1"
                    (click)="cerrarForm();">
                    Cerrar
            </button>
          </div>
    </form>
</div>
